%if 0%{?fedora}
# Unavailable deps
%bcond_with gram
%bcond_with linkedin
%endif

Name:          activemq
Version:       5.13.0
Release:       1%{?dist}
Summary:       Open source messaging and Integration Patterns server
License:       ASL 2.0
URL:           http://activemq.apache.org
Source0:       http://www.apache.org/dist/activemq/%{version}/%{name}-parent-%{version}-source-release.zip

BuildRequires: maven-local
BuildRequires: mvn(annogen:annogen)
BuildRequires: mvn(com.fasterxml.jackson.core:jackson-annotations)
BuildRequires: mvn(com.fasterxml.jackson.core:jackson-core)
BuildRequires: mvn(com.fasterxml.jackson.core:jackson-databind)
BuildRequires: mvn(com.thoughtworks.qdox:qdox)
BuildRequires: mvn(com.thoughtworks.xstream:xstream)
BuildRequires: mvn(commons-collections:commons-collections)
BuildRequires: mvn(commons-daemon:commons-daemon)
BuildRequires: mvn(commons-lang:commons-lang)
BuildRequires: mvn(commons-net:commons-net)
%if %{with gram}
# https://bugzilla.redhat.com/show_bug.cgi?id=846561
BuildRequires: mvn(groovy:gram)
%endif
BuildRequires: mvn(jdom:jdom)
BuildRequires: mvn(log4j:log4j)
BuildRequires: mvn(net.sf.josql:josql)
BuildRequires: mvn(org.apache:apache:pom:)
BuildRequires: mvn(org.apache.activemq:activeio-core)
BuildRequires: mvn(org.apache.activemq.protobuf:activemq-protobuf)
BuildRequires: mvn(org.apache.ant:ant)
BuildRequires: mvn(org.apache.commons:commons-pool2)
BuildRequires: mvn(org.apache.derby:derby)
BuildRequires: mvn(org.apache.derby:derbynet)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.apache.geronimo.specs:geronimo-annotation_1.0_spec)
BuildRequires: mvn(org.apache.geronimo.specs:geronimo-jms_1.1_spec)
BuildRequires: mvn(org.apache.geronimo.specs:geronimo-jta_1.1_spec)
BuildRequires: mvn(org.apache.geronimo.specs:specs:pom:)
BuildRequires: mvn(org.apache.geronimo.components:geronimo-transaction)
BuildRequires: mvn(org.apache.httpcomponents:httpclient)
BuildRequires: mvn(org.apache.maven:maven-plugin-api)
BuildRequires: mvn(org.apache.maven:maven-project)
BuildRequires: mvn(org.apache.maven.plugins:maven-antrun-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-clean-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-remote-resources-plugin)
BuildRequires: mvn(org.apache.qpid:proton-j)
BuildRequires: mvn(org.apache.qpid:qpid-jms-client)
BuildRequires: mvn(org.apache.shiro:shiro-core)
BuildRequires: mvn(org.apache.shiro:shiro-spring)
BuildRequires: mvn(org.apache.velocity:velocity)
BuildRequires: mvn(org.apache.xbean:maven-xbean-plugin)
BuildRequires: mvn(org.apache.xbean:xbean-spring)
BuildRequires: mvn(org.apache.zookeeper:zookeeper)
BuildRequires: mvn(org.codehaus.groovy:groovy-all)
BuildRequires: mvn(org.codehaus.jettison:jettison)
BuildRequires: mvn(org.codehaus.mojo:build-helper-maven-plugin)
BuildRequires: mvn(org.codehaus.mojo:javacc-maven-plugin)
BuildRequires: mvn(org.eclipse.gemini.blueprint:gemini-blueprint-core)
BuildRequires: mvn(org.eclipse.jetty:jetty-continuation)
BuildRequires: mvn(org.eclipse.jetty:jetty-server)
BuildRequires: mvn(org.eclipse.jetty:jetty-webapp)
BuildRequires: mvn(org.eclipse.jetty.websocket:websocket-server)
BuildRequires: mvn(org.eclipse.osgi:org.eclipse.osgi)
BuildRequires: mvn(org.eclipse.osgi:org.eclipse.osgi.services)
BuildRequires: mvn(org.fusesource.hawtbuf:hawtbuf)
BuildRequires: mvn(org.fusesource.hawtbuf:hawtbuf-proto)
BuildRequires: mvn(org.fusesource.hawtbuf:hawtbuf-protoc)
BuildRequires: mvn(org.fusesource.hawtdispatch:hawtdispatch-transport)
BuildRequires: mvn(org.fusesource.leveldbjni:leveldbjni)
BuildRequires: mvn(org.fusesource.mqtt-client:mqtt-client)
BuildRequires: mvn(org.iq80.leveldb:leveldb)
BuildRequires: mvn(org.iq80.leveldb:leveldb-api)
BuildRequires: mvn(org.jasypt:jasypt)
BuildRequires: mvn(org.jboss.spec.javax.management.j2ee:jboss-j2eemgmt-api_1.1_spec)
BuildRequires: mvn(org.jboss.spec.javax.resource:jboss-connector-api_1.7_spec)
%if %{with linkedin}
# utils-misc https://bugzilla.redhat.com/show_bug.cgi?id=1211654
BuildRequires: mvn(org.linkedin:org.linkedin.util-core)
BuildRequires: mvn(org.linkedin:org.linkedin.util-groovy)
# utils-zookeeper https://bugzilla.redhat.com/show_bug.cgi?id=1211659
BuildRequires: mvn(org.linkedin:org.linkedin.zookeeper-impl)
%endif
#BuildRequires: mvn(org.osgi:org.osgi.compendium)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.springframework:spring-beans)
BuildRequires: mvn(org.springframework:spring-context)
BuildRequires: mvn(org.springframework:spring-jms)
BuildRequires: mvn(org.springframework:spring-web)
BuildRequires: mvn(org.springframework:spring-webmvc)
BuildRequires: mvn(org.xerial.snappy:snappy-java)
BuildRequires: mvn(rome:rome)
BuildRequires: mvn(xalan:xalan)
BuildRequires: mvn(xpp3:xpp3)
#BuildRequires: mvn(org.apache.cxf:cxf-xjc-plugin)
#BuildRequires: mvn(org.jvnet.jaxb2_commons:jaxb2-basics-runtime)
# Test deps
#BuildRequires: mvn(org.fusesource.joram-jms-tests:joram-jms-tests:1.0)
#BuildRequires: mvn(org.jencks:jencks:2.2)
#BuildRequires: mvn(org.seleniumhq.selenium:selenium-chrome-driver:2.25.0)
#BuildRequires: mvn(org.seleniumhq.selenium:selenium-firefox-driver:2.25.0)
#BuildRequires: mvn(org.seleniumhq.selenium:selenium-java:2.25.0)
BuildArch:     noarch

%description
The most popular and powerful open source messaging and
Integration Patterns server.

%package amqp
Summary:       ActiveMQ :: AMQP

%description amqp
The ActiveMQ implementaiton of AMQP messaging protocol.

%package broker
Summary: ActiveMQ :: Broker

%description broker
The ActiveMQ Message Broker implementation.

%package client
Summary:       ActiveMQ :: Client
Obsoletes:     %{name}-core < %{version}-%{release}
Provides:      %{name}-core

%description client
The ActiveMQ Client implementation.

%package console
Summary:       ActiveMQ :: Console

%description console
ActiveMQ Management Console.

%package http
Summary:       ActiveMQ :: HTTP Protocol Support

%description http
ActiveMQ HTTP Protocol Support.

%package jaas
Summary:       ActiveMQ Jaas

%description jaas
ActiveMQ Jaas Library is a collection of
generic JAAS Login Modules.

%package jdbc-store
Summary:       ActiveMQ :: JDBC Store

%description jdbc-store
The ActiveMQ JDBC Store Implementation.

%package jms-pool
Summary:       ActiveMQ :: Generic JMS Pool

%description jms-pool
Generic JMS Pooled ConnectionFactory.

%package kahadb
Summary:       ActiveMQ :: KahaDB Store

%description kahadb
A file based persistence database that is local to the message broker that
is using it. It has been optimized for fast persistence and is the the default
storage mechanism from ActiveMQ 5.4 onwards. KahaDB uses less file descriptors
and provides faster recovery than its predecessor, the AMQ Message Store.

%package leveldb-store
Summary:       ActiveMQ :: LevelDB Store

%description leveldb-store
ActiveMQ LevelDB Store Implementation.

%package log4j-appender
Summary:       ActiveMQ :: Log4j Appender

%description log4j-appender
ActiveMQ Log4j Appender.

%package maven-plugin
Summary:       ActiveMQ :: StartUp/Stop Plugin

%description maven-plugin
ActiveMQ :: StartUp/Stop Plugin.

%package memtest-maven-plugin
Summary:       ActiveMQ :: Memory Usage Test Plugin

%description memtest-maven-plugin
ActiveMQ :: Memory Usage Test Plugin.

%package mqtt
Summary:       ActiveMQ :: MQTT Protocol

%description mqtt
The ActiveMQ MQTT Protocol Implementation.

%package openwire-generator
Summary:       ActiveMQ :: Openwire Generator

%description openwire-generator
The ActiveMQ Openwire Generator Support Module.

%package openwire-legacy
Summary:       ActiveMQ :: Openwire Legacy Support

%description openwire-legacy
The ActiveMQ Openwire Legacy Support Module.

%package osgi
Summary:       ActiveMQ :: OSGi bundle

%description osgi
Puts together an ActiveMQ OSGi bundle.

%package perf-maven-plugin
Summary:       ActiveMQ :: Performance Test Plugin

%description perf-maven-plugin
ActiveMQ :: Performance Test Plugin.

%package partition
Summary:       ActiveMQ :: Partition Management

%description partition
Used to partition clients over a cluster of brokers.

%package pool
Summary:       ActiveMQ :: Pool

%description pool
ActiveMQ Pooled ConnectionFactory.

%package ra
Summary:       ActiveMQ :: RA

%description ra
A JCA Resource Adapter used to integrate ActiveMQ with
transactional enterprise containers.

%package shiro
Summary:       ActiveMQ :: Shiro

%description shiro
ActiveMQ secured by Apache Shiro.

%package spring
Summary:       ActiveMQ :: Spring

%description spring
ActiveMQ Spring Integration.

%package stomp
Summary:       ActiveMQ :: STOMP Protocol

%description stomp
The ActiveMQ STOMP Protocol Implementation.

%package tooling
Summary:       ActiveMQ :: Tooling Parent POM

%description tooling
The ActiveMQ Tooling Parent POM.

%package web
Summary:       ActiveMQ :: Web

%description web
The ActiveMQ Web Connector for REST API and Streamlets support.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-parent-%{version}
find -name "*.class" -print -delete
find -name "*.jar" -print -delete

# all module require: camel osgi runtime-config
for m in all blueprint camel fileserver itests-spring31 \
    karaf karaf-itest \
    rar run unit-tests web-demo web-console
do
    %pom_disable_module %{name}-${m}
done

%pom_disable_module assembly
# Use org.apache.cxf:cxf-xjc-plugin:3.0.1
%pom_disable_module %{name}-runtime-config

# TODO use proper artifact/s
%pom_remove_dep :activemq-all %{name}-tooling/activemq-maven-plugin

%if %{without gram}
# Used as runtime dep
%pom_remove_dep groovy:gram %{name}-openwire-generator
# activemq-openwire-generator/src/main/java/org/apache/activemq/openwire/tool/CHeadersGenerator.java
# activemq-openwire-generator/src/main/java/org/apache/activemq/openwire/tool/CSourcesGenerator.java
# activemq-openwire-generator/src/main/java/org/apache/activemq/openwire/tool/JavaMarshallingGenerator.java
# activemq-openwire-generator/src/main/java/org/apache/activemq/openwire/tool/JavaTestsGenerator.java
%endif
%pom_change_dep :groovy-all org.codehaus.groovy: %{name}-openwire-generator
%pom_change_dep :ant org.apache.ant: %{name}-openwire-generator
%pom_xpath_remove "pom:dependency[pom:artifactId = 'tools']/pom:scope" %{name}-openwire-generator
%pom_xpath_remove "pom:systemPath" %{name}-openwire-generator

%pom_change_dep org.eclipse.jetty.aggregate:jetty-all org.eclipse.jetty:jetty-webapp %{name}-web
%pom_change_dep org.eclipse.jetty.aggregate:jetty-all org.eclipse.jetty:jetty-server: %{name}-http
sed -i "s|org.eclipse.jetty.servlets.gzip.GzipHandler|org.eclipse.jetty.server.handler.gzip.GzipHandler|" \
  activemq-http/src/main/java/org/apache/activemq/transport/http/HttpTransportServer.java

%pom_xpath_remove -r pom:Private-Package

%pom_xpath_set pom:stylesheetfile '${basedir}/etc/css/stylesheet.css'

# Remove missing plugin
%pom_remove_dep -r xsddoc:maven-xsddoc-plugin 
%pom_remove_plugin org.codehaus.mojo:ianal-maven-plugin

# activemq-broker package org.osgi.framework.wiring does not exis
%pom_change_dep -r org.osgi:org.osgi.core org.eclipse.osgi:org.eclipse.osgi

# Remove missing test dependencies
#%% pom_remove_dep org.springframework:spring-test

# Remove missing optional dependencies
%pom_change_dep -r org.apache.geronimo.specs:geronimo-j2ee-management_1.1_spec org.jboss.spec.javax.management.j2ee:jboss-j2eemgmt-api_1.1_spec

# Remove jmdns support
%pom_remove_dep javax.jmdns:jmdns %{name}-client
rm -rf %{name}-client/src/main/java/org/apache/activemq/transport/discovery/zeroconf
%pom_remove_dep org.apache.geronimo.specs:geronimo-jta_1.0.1B_spec activemq-mqtt
%pom_remove_dep org.apache.geronimo.specs:geronimo-jacc_1.1_spec activemq-mqtt

%pom_remove_dep org.apache.geronimo.specs:geronimo-jta_1.0.1B_spec activemq-kahadb-store
%pom_remove_dep org.apache.geronimo.specs:geronimo-jacc_1.1_spec activemq-kahadb-store

%pom_remove_dep org.iq80.snappy: activemq-leveldb-store
%pom_remove_dep org.scala-lang:scala-library activemq-leveldb-store
%pom_remove_plugin net.alchim31.maven:scala-maven-plugin activemq-leveldb-store
%pom_remove_dep :hawtdispatch-scala-2.11 activemq-leveldb-store
rm -rf %{name}-leveldb-store/src/main/java/org/apache/activemq/store/leveldb/ReplicatedLevelDBPersistenceAdapter.java
rm -rf %{name}-leveldb-store/src/main/java/org/apache/activemq/store/leveldb/LevelDBPersistenceAdapter.java
rm -rf %{name}-leveldb-store/src/main/java/org/apache/activemq/leveldb/LevelDBStoreFactory.java
# Use hadoop:1.0.0
%pom_remove_dep org.apache.hadoop: activemq-leveldb-store

%if %{without linkedin}
%pom_remove_dep org.linkedin: activemq-leveldb-store
rm -rf %{name}-leveldb-store/src/main/java/org/apache/activemq/leveldb/replicated/groups/ZKClient.java
%pom_remove_dep org.linkedin: activemq-partition
rm -r %{name}-partition/src/main/java/org/apache/activemq/partition/ZooKeeperPartitionBroker.java
rm -r %{name}-partition/src/main/java/org/apache/activemq/partition/ZooKeeperPartitionBrokerPlugin.java
%pom_remove_dep org.linkedin: activemq-spring
%endif

%pom_add_dep org.apache.geronimo.specs:geronimo-jms_1.1_spec activemq-partition

%pom_change_dep :geronimo-jta_1.0.1B_spec org.apache.geronimo.specs:geronimo-jta_1.1_spec activemq-jms-pool
%pom_change_dep :geronimo-jta_1.0.1B_spec org.apache.geronimo.specs:geronimo-jta_1.1_spec activemq-pool

# package javax.resource does not exist
%pom_change_dep :geronimo-j2ee-connector_1.5_spec org.jboss.spec.javax.resource:jboss-connector-api_1.7_spec activemq-ra

%pom_change_dep org.apache.servicemix.bundles:org.apache.servicemix.bundles.josql net.sf.josql:josql activemq-console
# used @ runtime see activemq-console/src/main/resources/org/apache/activemq/console/command/store/amq/help.txt

%pom_change_dep :geronimo-jta_1.0.1B_spec org.apache.geronimo.specs:geronimo-jta_1.1_spec activemq-spring
%pom_change_dep :spring-osgi-core org.eclipse.gemini.blueprint:gemini-blueprint-core:1.0.2.RELEASE %{name}-spring
sed -i "s|org.springframework.osgi|org.eclipse.gemini.blueprint|" \
 %{name}-spring/src/main/java/org/apache/activemq/hooks/osgi/SpringOsgiContextHook.java

%pom_change_dep :activemq-all :activemq-broker:'${project.version}' %{name}-web
%pom_add_dep org.apache.activemq:activemq-spring:'${project.version}' %{name}-web
%pom_remove_dep :tomcat-servlet-api %{name}-web
# Remove bundle JavaScript libraries
# http://ripcord.co.nz/behaviour/ under BSD license
rm -r %{name}-web/src/main/resources/org/apache/activemq/web/behaviour.js
# http://prototype.conio.net/ under MIT-style license
rm -r %{name}-web/src/main/resources/org/apache/activemq/web/prototype.js
sed -i '/behaviour.js/d' activemq-web/src/main/resources/org/apache/activemq/web/amq.js
sed -i '/prototype.js/d' activemq-web/src/main/resources/org/apache/activemq/web/amq.js

%pom_remove_dep :activemq-runtime-config %{name}-osgi
#%% pom_remove_dep :org.osgi.compendium %%{name}-osgi
%pom_change_dep :org.osgi.compendium org.eclipse.osgi:org.eclipse.osgi.services %{name}-osgi
#%% pom_change_dep org.osgi:org.osgi.core org.eclipse.osgi:org.eclipse.osgi %%{name}-osgi
%pom_change_dep :spring-osgi-core org.eclipse.gemini.blueprint:gemini-blueprint-core:1.0.2.RELEASE %{name}-osgi
sed -i "s|org.springframework.osgi|org.eclipse.gemini.blueprint|" \
 %{name}-osgi/src/main/java/org/apache/activemq/osgi/ActiveMQServiceFactory.java
# Disable bundle of camel artifacts
%pom_remove_plugin :maven-dependency-plugin %{name}-osgi
# Fix manifest entries
%pom_xpath_remove pom:properties/pom:activemq.osgi.private.pkg %{name}-osgi
%pom_xpath_set pom:properties/pom:activemq.osgi.export 'org.apache.activemq.osgi;version=${project.version};-noimport:=true;-split-package:=merge-first,' %{name}-osgi
sed -i "s|org.springframework.osgi|org.eclipse.gemini.blueprint|" %{name}-osgi/pom.xml
sed -i '/javax.jmdns/d' %{name}-osgi/pom.xml
sed -i '/.camel/d' %{name}-osgi/pom.xml
sed -i '/org.json/d' %{name}-osgi/pom.xml
%pom_xpath_remove pom:Embed-Dependency %{name}-osgi

chmod 644 LICENSE README.txt %{name}-web/README.txt

# Fix license file encoding
mv LICENSE LICENSE.orig
iconv -f iso-8859-1 -t utf-8 LICENSE.orig > LICENSE

%mvn_package "::{xsd}::" __noinstall
%mvn_package "::{xsd.html}::" __noinstall

%mvn_alias :%{name}-client :%{name}-core

%build

%mvn_build -sf

%install
%mvn_install

%files -f .mfiles-%{name}-parent
%doc README.txt
%license LICENSE NOTICE

%files amqp -f .mfiles-%{name}-amqp
%license LICENSE NOTICE

%files broker -f .mfiles-%{name}-broker
%license LICENSE NOTICE

%files client -f .mfiles-%{name}-client
%license LICENSE NOTICE

%files console -f .mfiles-%{name}-console
%license LICENSE NOTICE

%files http -f .mfiles-%{name}-http
%license LICENSE NOTICE

%files jaas -f .mfiles-%{name}-jaas
%license LICENSE NOTICE

%files jdbc-store -f .mfiles-%{name}-jdbc-store
%license LICENSE NOTICE

%files jms-pool -f .mfiles-%{name}-jms-pool
%license LICENSE NOTICE

%files kahadb -f .mfiles-%{name}-kahadb-store
%license LICENSE NOTICE

%files leveldb-store -f .mfiles-%{name}-leveldb-store
%doc %{name}-leveldb-store/kahadb-vs-leveldb.png
%doc %{name}-leveldb-store/readme.md
%license LICENSE NOTICE

%files log4j-appender -f .mfiles-%{name}-log4j-appender
%license LICENSE NOTICE

%files maven-plugin -f .mfiles-%{name}-maven-plugin
%license LICENSE NOTICE

%files memtest-maven-plugin -f .mfiles-%{name}-memtest-maven-plugin
%license LICENSE NOTICE

%files mqtt -f .mfiles-%{name}-mqtt
%license LICENSE NOTICE

%files openwire-generator -f .mfiles-%{name}-openwire-generator
%license LICENSE NOTICE

%files openwire-legacy -f .mfiles-%{name}-openwire-legacy
%license LICENSE NOTICE

%files osgi -f .mfiles-%{name}-osgi
%license LICENSE NOTICE

%files partition -f .mfiles-%{name}-partition
%license LICENSE NOTICE

%files perf-maven-plugin -f .mfiles-%{name}-perf-maven-plugin
%license LICENSE NOTICE

%files pool -f .mfiles-%{name}-pool
%license LICENSE NOTICE

%files ra -f .mfiles-%{name}-ra
%license LICENSE NOTICE

%files shiro -f .mfiles-%{name}-shiro
%license LICENSE NOTICE

%files spring -f .mfiles-%{name}-spring
%license LICENSE NOTICE

%files stomp -f .mfiles-%{name}-stomp
%license LICENSE NOTICE

%files tooling -f .mfiles-%{name}-tooling
%license LICENSE NOTICE

%files web -f .mfiles-%{name}-web
%doc %{name}-web/README.txt
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE

%changelog
* Tue Dec 15 2015 gil cattaneo <puntogil@libero.it> 5.13.0-1
- update to 5.13.0

* Fri Nov 20 2015 gil cattaneo <puntogil@libero.it> 5.12.1-1
- update to 5.12.1

* Mon Sep 21 2015 gil cattaneo <puntogil@libero.it> 5.12.0-1
- update to 5.12.0

* Sun Aug 09 2015 gil cattaneo <puntogil@libero.it> 5.6.0-11
- fix FTBFS rhbz#1239362
- fix BR list and use BR mvn()-like
- introduce license macro

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.6.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 16 2014 Michal Srb <msrb@redhat.com> - 5.6.0-9
- Fix FTBFS

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.6.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Oct 14 2013 Marek Goldmann <mgoldman@redhat.com> - 5.6.0-7
- Use xmvn
- Fixes Remove binary distribution usage, RHBZ#1018696

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.6.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Mar 03 2013 Matt Spaulding <mspaulding06@gmail.com> - 5.6.0-5
- Removed optional geronimo-annotation dependency from activemq-core

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Sep 19 2012 Matt Spaulding <mspaulding06@gmail.com> - 5.6.0-3
- Added NOTICE to all subpackages

* Wed Sep 19 2012 Matt Spaulding <mspaulding06@gmail.com> - 5.6.0-2
- Removed references to RPM_BUILD_ROOT for consistency

* Mon Sep 10 2012 Matt Spaulding <mspaulding06@gmail.com> - 5.6.0-1
- Initial RPM package

